Inconsistent behavior between Kernel#Float and to_f

02/27/2014 03:13 PM - robin850 (Robin Dupret)

Status: Closed   

Priority: Normal   

Assignee: zzak (zzak _)   

Target version:    

ruby -v: 2.1.0 Backport:  

Description

Hello,

Sorry if this has still been requested, I haven't found anything about this on the tracker. There is an inconsistent behavior between

#to_f and Float() with strings. I don't know whether this is intended or not but if it is, there is at least something wrong in

Kernel#Float's documentation:

Numeric types are converted directly, the rest are converted using arg.to_f. 

>> "123.".to_f

=> 123.0

>> Float("123.")

ArgumentError: invalid value for Float(): "123."

from (pry):1:in `Float'

 The issue has been originally reported here https://github.com/rails/rails/issues/11800.

Have a nice day.

Related issues:

Related to Ruby - Bug #11736: Float(arg) not consistent with documentation Closed

History

#1 - 02/28/2014 12:00 AM - nobu (Nobuyoshi Nakada)

- Category changed from core to doc

#2 - 05/25/2014 01:42 AM - zzak (zzak _)

- Status changed from Open to Assigned

- Assignee set to zzak (zzak _)

Thanks for the report!

#3 - 07/22/2019 03:58 AM - jeremyevans0 (Jeremy Evans)

- Related to Bug #11736: Float(arg) not consistent with documentation added

#4 - 07/22/2019 03:59 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Assigned to Closed

- Backport deleted (1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN)
